%global _empty_manifest_terminate_build 0
Name:		python-spec
Version:	1.4.1
Release:	1
Summary:	Specification-style output for nose
License:	MIT
URL:		https://github.com/bitprophet/spec
Source0:	https://files.pythonhosted.org/packages/3a/cb/ee662482287d387c7b2e58d893d51c7400a6de882bf963bd644a56980e8d/spec-1.4.1.tar.gz
BuildArch:	noarch

Requires:	python3-nose
Requires:	python3-six

%description
%{summary}

%package -n python3-spec
Summary:	Specification-style output for nose
Provides:	python-spec
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-spec
%{summary}

%package help
Summary:	Development documents and examples for spec
Provides:	python3-spec-doc
%description help
%{summary}

%prep
%autosetup -n spec-1.4.1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-spec -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Sep 03 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
